<!-- FILEPATH: /Users/marc-antoineleonelli/dev/rock-paper-scissors/src/routes/about/+page.svelte -->

<script>
	const technologies = ['Svelte', 'JavaScript', 'HTML', 'CSS', 'Node.js', 'Express', 'socket.io'];

	const links = [
		{
			name: 'Gitlab',
			url: 'https://gitlab.com/marcantoine.leonelli'
		},
		{
			name: 'GitHub',
			url: 'https://github.com/marco7507'
		},
		{
			name: 'LinkedIn',
			url: 'https://www.linkedin.com/in/marc-antoine-leonelli-97b013223/'
		},
		{
			name: 'Portfolio',
			url: 'https://marc-antoine.vercel.app/'
		}
	];
</script>

<section>
	<h1>About</h1>
	<h2>About Chifoumi</h2>
	<p>
		Chifoumi is a rock-paper-scissors game made with Svelte and Node.js. <br />
		You can play online with your friends or against the computer.
	</p>
	<h2>About Me</h2>
	<p>
		Hi, my name is Marc-Antoine, and I'm a web developer. These are the technologies I used to make
		this project:
	</p>
	<ul>
		{#each technologies as technology}
			<li>{technology}</li>
		{/each}
	</ul>
	<p>
		I usually use React for projects, but I wanted to try Svelte for this one.<br />
		You can find me at these links:
	</p>
	<ul>
		{#each links as link}
			<li><a href={link.url} target="_blank">{link.name}</a></li>
		{/each}
	</ul>

	<div class="licence">
		<div>
			Icônes conçues par <a href="https://www.freepik.com" title="Freepik">Freepik</a> from
			<a href="https://www.flaticon.com/fr/" title="Flaticon">www.flaticon.com</a>
		</div>
		<div>
			Icônes conçues par <a href="https://www.flaticon.com/fr/auteurs/judanna" title="judanna"
				>judanna</a
			>
			from <a href="https://www.flaticon.com/fr/" title="Flaticon">www.flaticon.com</a>
		</div>
	</div>
	<a href="https://www.flaticon.com/fr/license/icons/6224567%2C2542051%2C6831874%2C9669669">licence</a>
</section>

<style>
	h1,
	h2 {
		margin: 1rem 0;
	}

	p {
		margin: 0.5rem 0;
	}

	ul {
		padding: 0 0 0 1rem;
	}

	a {
		color: var(--color-primary);
	}

	.licence {
		margin-top: 2rem;
	}
</style>
